package core.operation;

import core.user.User;
import dao.DBManagement;

import java.util.Map;

public class FillInformation extends Operation{
    @Override
    public Map<String, Object> execute(User subject) throws Exception {
        String table = (String) this.getOptions().get("table");
        Map<String,String> vMap = (Map<String, String>) this.getOptions().get("vMap");
        Map<String,String> limits = (Map<String, String>) this.getOptions().get("limits");
        DBManagement.update(table,vMap,limits);
        return this.getOptions();
    }

}
